LibreOffice: XUIConfigurationListener Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Public Member Functions | List of all members
XUIConfigurationListener Interface Referencepublished

supplies information about changes of a user interface configuration manager. More...

`import"XUIConfigurationListener.idl";`

Inheritance diagram for XUIConfigurationListener:

## Public Member Functions
void | elementInserted ([in] ::com::sun::star::ui::ConfigurationEvent Event)
| is invoked when a configuration has inserted an user interface element. More...
void | elementRemoved ([in] ::com::sun::star::ui::ConfigurationEvent Event)
| is invoked when a configuration has removed an user interface element. More...
void | elementReplaced ([in] ::com::sun::star::ui::ConfigurationEvent Event)
| is invoked when a configuration has replaced an user interface element. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

supplies information about changes of a user interface configuration manager.

Since
  OOo 2.0

## Member Function Documentation

## ◆ elementInserted()

void elementInserted | ( | [in] ::com::sun::star::ui::ConfigurationEvent | Event | ) |

is invoked when a configuration has inserted an user interface element.

Parameters

  Event | provides information about the element which has been inserted.

## ◆ elementRemoved()

void elementRemoved | ( | [in] ::com::sun::star::ui::ConfigurationEvent | Event | ) |

is invoked when a configuration has removed an user interface element.

Parameters

  Event | provides information about the element which has been removed.

## ◆ elementReplaced()

void elementReplaced | ( | [in] ::com::sun::star::ui::ConfigurationEvent | Event | ) |

is invoked when a configuration has replaced an user interface element.

Parameters

  Event | provides information about the element which has been inserted/replaced.

The documentation for this interface was generated from the following file:

- com/sun/star/ui/XUIConfigurationListener.idl